QGIS Application - Feature request #1422
Add ability to use socks5 proxy
2008-11-24 02:15 AM - cfarmer -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11482
Description

The attached diff adds the ability to use socks5 proxying to qgis for users working behind one of these proxy types. The fix also contains
changes to the python plugin installer. Changes should not affect anything that does not explicitly recognize the change, so wms provider
etc will not be affected...

History

#1 - 2008-11-24 03:32 PM - Borys Jurgiel
Plugin Installer reads proxy Type from QSettings now (from rev 9700). It recognizes following values for [[PyQt]] 4.3: 'Socks5Proxy', 'NoProxy', 'HttpProxy'
and their integer equivalents. For [[PyQt]] 4.4 it supports also values 'HttpCachingProxy' and 'FtpCachingProxy' and their integer equivalents. In case of

any unsupported value, the [[DefaultProxy]] is used.

| don't implement frontend for setting it due to the gui freeze.

#2 - 2008-11-24 04:19 PM - cfarmer -

This new diff is likely a better way to implement the above changes. | have not made any new changes to the plugin installer, as Borys has already applied

the above fix, plus some excellent extras!

#3 - 2009-07-11 02:52 AM - Giovanni Manghi

Has this already been implemented as it seems to me?

Closing?

#4 - 2009-07-16 11:08 AM - Giovanni Manghi

- Resolution set to fixed
- Status changed from Open to Closed

Closing as it seems to me that was a duplicate of #1374. Reopen if necessary.

Files
bug_1422_fix.diff 17.1 KB 2008-11-24 cfarmer -
bug_1422_fix_2.diff 1.44 KB 2008-11-24 cfarmer -

2025-04-27 1/1




